=== debian/changelog ===
kdepim-runtime (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:16:51 -0700

kdepim-runtime (4:15.12.1-3~ubuntu3) xenial; urgency=medium

  * Add missing epoch for kcontacts build dep. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 18:52:07 -0800

kdepim-runtime (4:15.12.1-3~ubuntu2) xenial; urgency=medium

  * Add missing epochs to build dependencies.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 18:36:47 -0800

kdepim-runtime (4:15.12.1-3~ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * Merged with Debian
  * New upstream release

  [ Scarlett Clark ]
  * Add missing files to install.
  * Remove libkolab2. 
  * Bump ibuild depend versions for pim*. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:39:48 +0100

kdepim-runtime (4:15.12.1-3~) UNRELEASED; urgency=medium

  * Add libkolab-dev to reenable kolab integration.

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 19 Feb 2016 13:14:09 +0100

kdepim-runtime (4:15.12.1-2) experimental; urgency=medium

  * Bump build dependencies to match packages versions, and not
    libraries versions.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 19:01:58 +0100

kdepim-runtime (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:16 +0100

kdepim-runtime (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:36 +0100

kdepim-runtime (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:49 +0200

kdepim-runtime (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:18 +0200

kdepim-runtime (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 13:19:24 +0200
