=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kinit,
         akonadi-backend-sqlite
Restrictions: build-needed
