## kdepim-runtime 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,12 +35,12 @@
     set(KDEPIM_RUNTIME_DEV_VERSION "")
 endif()
 
-set(KDEPIM_RUNTIME_VERSION_NUMBER "5.1.3")
+set(KDEPIM_RUNTIME_VERSION_NUMBER "5.2.2")
 set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_RUNTIME_DEV_VERSION}")
 
 configure_file(kdepim-runtime-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)
 
-find_package(ECM 5.16.0 REQUIRED NO_MODULE)
+find_package(ECM 5.19 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 
 include(ECMPackageConfigHelpers)
@@ -48,44 +48,44 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(ECMQtDeclareLoggingCategory)
 
-set(KF5_VERSION "5.16.0")
-set(QT_REQUIRED_VERSION "5.4.0")
+set(KF5_VERSION "5.19")
+set(QT_REQUIRED_VERSION "5.5.0")
 
-set(KDEPIMLIBS_LIB_VERSION "5.1")
+set(KDEPIMLIBS_LIB_VERSION "5.2.0")
 
 set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
 set(KDEPIMRUNTIME_LIB_SOVERSION "5")
+set(AKONADI_VERSION "5.2.0")
 
-
-set(KCONTACTS_LIB_VERSION "4.91.0")
-set(KCALENDARCORE_LIB_VERSION "4.79.0")
-set(IDENTITYMANAGEMENT_LIB_VERSION "4.78.0")
-set(KMAILTRANSPORT_LIB_VERSION "4.78.0")
-set(CALENDARUTILS_LIB_VERSION "4.78.0")
-set(KIMAP_LIB_VERSION "4.81.0")
-set(KMBOX_LIB_VERSION "4.79.0")
-set(AKONADICALENDAR_LIB_VERSION "4.78.0")
-set(SYNDICATION_LIB_VERSION "4.78.0")
-set(KONTACTINTERFACE_LIB_VERSION "4.78.0")
-set(AKONADIKALARM_LIB_VERSION "4.78.0")
-set(KMIME_LIB_VERSION "4.85.0")
-set(XMLRPCCLIENT_LIB_VERSION "4.78.0")
-set(KCONTACTS_LIB_VERSION "4.78.0")
-set(AKONADIMIME_LIB_VERSION "4.78.0")
-set(AKONADICONTACT_LIB_VERSION "4.78.0")
-set(AKONADINOTE_LIB_VERSION "4.78.0")
-set(AKONADISOCIALUTIL_LIB_VERSION "4.78.0")
-set(KPIMTEXTEDIT_LIB_VERSION "4.78.0")
+set(KCONTACTS_LIB_VERSION "5.2.0")
+set(KCALENDARCORE_LIB_VERSION "5.2.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.2.0")
+set(KMAILTRANSPORT_LIB_VERSION "5.2.0")
+set(CALENDARUTILS_LIB_VERSION "5.2.0")
+set(KIMAP_LIB_VERSION "5.2.0")
+set(KMBOX_LIB_VERSION "5.2.0")
+set(AKONADICALENDAR_LIB_VERSION "5.2.0")
+set(SYNDICATION_LIB_VERSION "5.2.0")
+set(KONTACTINTERFACE_LIB_VERSION "5.2.0")
+set(AKONADIKALARM_LIB_VERSION "5.2.0")
+set(KMIME_LIB_VERSION "5.2.0")
+set(XMLRPCCLIENT_LIB_VERSION "5.2.0")
+set(KCONTACTS_LIB_VERSION "5.2.0")
+set(AKONADIMIME_LIB_VERSION "5.2.0")
+set(AKONADICONTACT_LIB_VERSION "5.2.0")
+set(AKONADINOTE_LIB_VERSION "5.2.0")
+set(AKONADISOCIALUTIL_LIB_VERSION "5.2.0")
+set(KPIMTEXTEDIT_LIB_VERSION "5.2.0")
 
 set( SHARED_MIME_INFO_MINIMUM_VERSION "0.40" )
 find_package( SharedMimeInfo REQUIRED )
 
 
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Network Widgets Test XmlPatterns)
+find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Network Widgets Test XmlPatterns DBus)
 
 # QT5 package
 find_package(Qt5WebKitWidgets ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE)
@@ -97,8 +97,6 @@
     add_definitions(-DHAVE_SPEECH)
 endif()
 
-set(KF5AkonadiServer_MIN_VERSION "5.0.50")
-find_package(KF5AkonadiServer ${KF5AkonadiServer_MIN_VERSION} CONFIG REQUIRED)
 
 # KF5 package
 find_package(KF5KDELibs4Support ${KF5_VERSION} CONFIG REQUIRED)
@@ -113,7 +111,7 @@
 find_packagE(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED) # for KPluralHandlingSpinBox
 
 # KdepimLibs package
-find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
