=== debian/changelog ===
kdepim-runtime (4:16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 17:02:42 +0200

kdepim-runtime (4:16.04.2-1) experimental; urgency=medium

  * Drop obsolete qtquick1 build dependency

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 19:47:52 +0200

kdepim-runtime (4:16.04.1-2) experimental; urgency=medium

  * Depend on the kf5 kio plugins.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 04 Jun 2016 13:46:20 +0200

kdepim-runtime (4:16.04.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Add libkolab-dev to reenable kolab integration.

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jun 2016 16:17:41 +0200
