=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19~),
               kio-dev (>= 5.19~),
               kross-dev (>= 5.19~),
               libboost-dev (>= 1.40.0-2),
               libkf5akonadi-dev (>= 4:15.12.1~),
               libkf5akonadicalendar-dev (>= 15.12~),
               libkf5akonadicontact-dev (>= 4:15.12~),
               libkf5akonadimime-dev (>= 4:15.12~),
               libkf5akonadinotes-dev (>= 4:15.12~),
               libkf5akonadiserver-dev (>= 15.12.1~),
               libkf5akonadisocialutils-dev (>= 4:15.12~),
               libkf5alarmcalendar-dev (>= 15.12~),
               libkf5calendarcore-dev (>= 4:15.12~),
               libkf5calendarutils-dev (>= 15.12~),
               libkf5codecs-dev (>= 5.19~),
               libkf5config-dev (>= 5.19~),
               libkf5configwidgets-dev (>= 5.19~),
               libkf5contacts-dev (>= 15.12~),
               libkf5gapi-dev (>= 5.1.0~),
               libkf5identitymanagement-dev (>= 15.12~),
               libkf5imap-dev (>= 15.12~),
               libkf5itemmodels-dev (>= 5.19~),
               libkf5kcmutils-dev (>= 5.12.0~),
               libkf5kdelibs4support-dev (>= 5.19~),
               libkf5mailtransport-dev (>= 15.12~),
               libkf5mbox-dev (>= 15.12~),
               libkf5mime-dev (>= 15.12~),
               libkf5notifyconfig-dev (>= 5.19~),
               libkf5pimtextedit-dev (>= 15.12~),
               libkf5syndication-dev (>= 15.12~),
               libkf5textwidgets-dev (>= 5.19~),
               libkf5windowsystem-dev (>= 5.19~),
               libkolab-dev (>= 1.0.2),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5xmlpatterns5-dev (>= 5.5.0~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               shared-mime-info (>= 0.30),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-runtime.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kf5-kdepimlibs-kio-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, kdepimlibs5 (<< 4:4.4), libmaildir4
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.
