## kdepim-runtime 16.04.3

=== debian/changelog ===
kdepim-runtime (4:16.04.3-0ubuntu3) yakkety; urgency=medium

  * Add upstream_adapt_mailserializertest_to_changes_in_kmime.patch to
    fix a failing test.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 Oct 2016 16:57:41 +0100

kdepim-runtime (4:16.04.3-0ubuntu2) yakkety; urgency=medium

  * Drop unused build-dependency on obsolete qtquick1-5-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Oct 2016 00:43:46 -0700

kdepim-runtime (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:26:51 +0200
